Bug 70500 - Feature Request: Merge portage with rpm
Feature Request: Merge portage with rpm
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
http://www.gentoo.org/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-01 16:52 EDT by Matthew Callaway
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 16:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Callaway 2002-08-01 16:52:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
RPM is a wonderful tool, but many users do not want to wait for Red Hat package
maintainers to come up with packages.  Furthermore, Red Hat could benefit from
additional help with building packages and tracking upstream software.  Gentoo's
portage system is a wonderful means to do this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Not applicable
2.
3.
	

Actual Results:  Not applicable

Expected Results:  Not applicable

Additional info:

What I'm thinking here is the ability to autobuild a new RPM whenever upstream
sources change.  See Gentoo's portage system for how this works.  Portage also
allows for multiple versions of the same software to be built on the same
system, build sandboxing, and other handy features.  RPM is wonderfully
powerful, and it seems to me that portage is a natural next step in expanding
this power.  Portage's config file merger is also a nice touch.

The idea here is to give users more freedom to keep up to date, and RH packagers
more power in maintaining software.

Just a suggestion.  Gentoo is very young yet, and it as a system is rough around
the edges, but portage is a great thing.  I can imagine RH+portage to be a
really killer system.
Comment 1 Jeff Johnson 2002-11-18 10:51:06 EST
I'm not averse to integrating gentoo, but cannot
undertake the work myself.

Note You need to log in before you can comment on or make changes to this bug.